#ifndef SENSINGRECEIVER_H
#define SENSINGRECEIVER_H

/**
* This struct defines the format of the data section
* of an ActiveMessage which is used to send sensor 
* readings to other nodes. The type "nx_uint16_t" is
* defined as an uint16_t but in the network byte order.
* However, read/write operations to an "nx_uint16_t" work 
* the same as for a normal "uint16_t". 
**/
typedef nx_struct SensingMsg {
  nx_uint16_t sourceID;
  nx_uint16_t reading;
} SensingMsgData_t;

/** defines the ActiveMessage type for an AM_SENSING_MSG **/
enum {
  AM_SENSING_MSG = 0x55
};

enum {
  COLOR_RED,
  COLOR_GREEN,
  COLOR_YELLOW
};

enum {
  LIGHT_SENSOR_THRESHOLD = 100
};


#endif /* SENSINGRECEIVER_H */


